// ======================================================================
// Skybox by Ydnar, modified by sockter
// ======================================================================
textures/fallen/skybox
{
	qer_editorimage	textures/fallen/sky_clouds.tga

	// Sockter tweakage
	q3map_sunExt 1 .96 .87 200 325 80 2 16
	q3map_skyLight 100 4
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/fallen/env/sky 512 -
	{	
		map textures/fallen/sky_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.0003
		rgbGen identityLighting
	}
	{
		map textures/fallen/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}


// ======================================================================
// Vine
// ======================================================================
textures/fallen/vine06
{
	qer_editorimage textures/fallen/vine06.tga
	q3map_backShader textures/fallen/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/fallen/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/fallen/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/fallen/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

